SyncEvent::fire
SyncEvent::wait
SyncEvent
PHP Manual

# SyncEvent::reset

(PECL sync >= 1.0.0)

SyncEvent::reset — Resets a manual event

### Description

public bool SyncEvent::reset ( void )

Resets a SyncEvent object that has been fired/set. Only valid for manual event objects.

### Parameters

This function has no parameters.

### Return Values

A boolean value of TRUE if the object was successfully reset, FALSE otherwise.

### Examples

Example #1 SyncEvent::reset() example

`<?php
// In a web application:
$event = new SyncEvent("DemoApplication", true);
$event->wait();
// In a cron job:
$event = new SyncEvent("DemoApplication", true);
$event->reset();
/* ... Do some maintenance task(s) ... */
$event->fire();
?>`

### See Also

- SyncEvent::fire() - Fires/sets the event
- SyncEvent::reset()
- SyncEvent::wait() - Waits for the event to be fired/set

SyncEvent::fire
SyncEvent::wait
SyncEvent
PHP Manual